<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Song extends CI_Controller {

	public function __construct(){
		parent::__construct();
		$this->load->model('model_music');
	}

	public function view($album_id){
	    $songs = $this->model_music->getSongOfAlbum($album_id);
		$duration = $this->model_music->getDurationSong($songs);
	    $playlists = $this->model_music->getPlaylist();
	    $this->load->view('layout/header');
	    $this->load->view('song_album_list', ['songs' => $songs, 'playlists' => $playlists, 'duration' => $duration]);
	    $this->load->view('layout/footer');
	}
}
